Plack::Middleware::MethodOverride(3)

NAME
Plack::Middleware::MethodOverride - Overrides HTTP method with X-HTTP-Method-Override header

SYNOPSIS
  use Plack::Builder;

  builder {
      enable "Plack::Middleware::MethodOverride";
      $handler;
  };

DESCRIPTION
Plack::Middleware::MethodOverride allows your application to override HTTP request method with the value specified in HTTP header value.

CONFIGURATIONS

header
       enable "Plack::Middleware::MethodOverride",
           header => 'X-HTTP-Method';

    Specifies the HTTP header name to specify the overriding HTTP method. Defaults to "X-HTTP-Method-Override".

AUTHOR
Tatsuhiko Miyagawa

Based on HTTP::Engine::Middleware::MethodOverride

SEE ALSO
Plack::Middleware